Name: beecrypt
Version: 2.2.0
Release: alt7

Summary: The BeeCrypt Cryptography Library
License: LGPL
Group: System/Libraries
Url: http://sourceforge.net/projects/beecrypt
Packager: Dmitry V. Levin <ldv@altlinux.org>

%def_disable debug

#Source: http://prdownloads.sourceforge.net/beecrypt/beecrypt-%version.tar.bz2
#
# The source tar ball was prepared from
#	cvs -d :pserver:anonymous@cvs.rpm.org:/cvs/devel login
#	(no password, just carriage return)
#	cvs -d :pserver:anonymous@cvs.rpm.org:/cvs/devel export -D now beecrypt
# This is an doxygen/splint annotated version of "official" beecrypt-2.2.0.
#
Source: beecrypt-%version.tar
Patch1: beecrypt-2.2.0-alt-config.patch
Patch2: beecrypt-2.2.0-alt-configure.patch
Patch3: beecrypt-2.2.0-alt-arm.patch
Patch4: beecrypt-2.2.0-alt-fixes.patch

%package -n lib%name
Summary: The BeeCrypt Cryptography Library
Group: System/Libraries
Provides: %name = %version-%release
Obsoletes: %name

%package -n lib%name-devel
Summary: Development environment for the BeeCrypt Cryptography Library
Group: Development/C
Provides: %name-devel = %version-%release
Obsoletes: %name-devel
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Static version of the BeeCrypt Cryptography Library
Group: Development/C
Provides: %name-devel-static = %version-%release
Obsoletes: %name-devel-static
Requires: lib%name-devel = %version-%release

%description
BeeCrypt is an open source cryptography library that contains
highly optimized C and assembler implementations of many
well-known algorithms including Blowfish, MD5, SHA-1,
Diffie-Hellman, and ElGamal.

%description -n lib%name
BeeCrypt is an open source cryptography library that contains
highly optimized C and assembler implementations of many
well-known algorithms including Blowfish, MD5, SHA-1,
Diffie-Hellman, and ElGamal.

%description -n lib%name-devel
BeeCrypt is an open source cryptography library that contains
highly optimized C and assembler implementations of many
well-known algorithms including Blowfish, MD5, SHA-1,
Diffie-Hellman, and ElGamal.

This package contains development files required for building
BeeCrypt-based software.

%description -n lib%name-devel-static
BeeCrypt is an open source cryptography library that contains
highly optimized C and assembler implementations of many
well-known algorithms including Blowfish, MD5, SHA-1,
Diffie-Hellman, and ElGamal.

This package contains static library required for building
BeeCrypt-based statically linked software.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
bzip2 -9k BENCHMARKS

%build
ln -snf config.h beecrypt_config.h
ln -snf config.gnu.h beecrypt_config.gnu.h
aclocal
automake
autoconf
%define _optlevel 3
%add_optflags -Wa,--noexecstack
export \
	ac_cv_have_dev_random=yes \
	ac_cv_have_dev_urandom=yes \
	ac_cv_have_dev_tty=yes \
	#

%configure \
	--enable-static \
	%{subst_enable debug} \
	#
%make_build

%install
%make_install install DESTDIR=%buildroot

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS BENCHMARKS.bz2 BUGS CONTRIBUTORS DOCUMENTATION NEWS README

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Sun Dec 14 2008 Dmitry V. Levin <ldv@altlinux.org> 2.2.0-alt7
- Removed obsolete %%post_ldconfig/%%postun_ldconfig calls.

* Thu Apr 12 2007 Dmitry V. Levin <ldv@altlinux.org> 2.2.0-alt6
- Fixed compilation warnings.

* Sat Mar 18 2006 Dmitry V. Levin <ldv@altlinux.org> 2.2.0-alt5
- Build with -Wa,--noexecstack.

* Wed Apr 28 2004 Dmitry V. Levin <ldv@altlinux.org> 2.2.0-alt4
- Rebuilt with glibc-2.3.x.

* Tue Nov 25 2003 Dmitry V. Levin <ldv@altlinux.org> 2.2.0-alt3
- Do not package .la files.
- Fixed arm platform support (#2803).

* Tue Sep 03 2002 Dmitry V. Levin <ldv@altlinux.org> 2.2.0-alt2
- Updated %post/%postun scripts.
- Updated devel-static requirements.

* Mon Mar 25 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.2.0-alt1
- Updated to pseudo-official beecrypt-2.2.0 from jbj,
  to sync with rpm-4.0.4
- Corrected compilation options.

* Thu Dec 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.1.0-alt1
- Initial revision (PLD-based).
